FORTLS(1)

NAME
fortls - Fortran Language Server for the Language Server Protocol

DESCRIPTION
usage: fortls [options] [debug options]

fortls - Fortran Language Server

  options:

-h, --help
    show this help message and exit

-v, --version
    Print server version number and exit

-c, --config CONFIG
    Configuration options file (default file name: .fortlsrc, other default supported names: .fortls.json, .fortls)

-n, --nthreads INTEGER
    Number of threads to use during workspace initialization (default: 4)

--notify_init
    Send notification message when workspace initialization is complete

--incremental_sync
    Use incremental document synchronization (beta)

--recursion_limit INTEGER
    Set the maximum recursion depth for the parser (default: 1000)

--sort_keywords
    Display variable keywords information, function/subroutine definitions, etc. in a consistent (sorted) manner default: no sorting, display code as is)

--disable_autoupdate
    fortls automatically checks PyPi for newer version and installs them.Use this option to disable the autoupdate feature.

--preserve_keyword_order
    DEPRECATED, this is now the default. To sort use sort_keywords

--debug_log
    Generate debug log in project root folder

--debug_help
    Display options for debugging fortls

  Sources file parsing options:

--source_dirs [DIRS ...]
    Folders containing source files (default: set())

--incl_suffixes [SUFFIXES ...]
    Consider additional file extensions to the default (default: .F, .F77, .F90, .F95, .F03, .F08, .FOR, .FPP (lower & upper casing))

--excl_suffixes [SUFFIXES ...]
    Source file extensions to be excluded (default: set())

--excl_paths [DIRS ...]
    Folders to exclude from parsing

  Autocomplete options:

--autocomplete_no_prefix
    Do not filter autocomplete results by variable prefix

--autocomplete_no_snippets
    Do not use snippets with place holders in autocomplete results

--autocomplete_name_only
    Complete only the name of procedures and not the parameters

--lowercase_intrinsics
    Use lowercase for intrinsics and keywords in autocomplete requests

--use_signature_help
    Use signature help instead of subroutine/function snippets. This effectively sets --autocomplete_no_snippets

  Hover options:

--variable_hover
    DEPRECATED: This option is always on. Show hover information for variables

--hover_signature
    Show signature information in hover for arguments

--hover_language HOVER_LANGUAGE
    Language used for responses to hover requests a VSCode language id (default: fortran90)

  Diagnostic options (error swigles):

--max_line_length INTEGER
    Maximum line length (default: -1)

--max_comment_line_length INTEGER
    Maximum comment line length (default: -1)

--disable_diagnostics
    Disable diagnostics

  Preprocessor options:

--pp_suffixes [SUFFIXES ...]
    File extensions to be parsed ONLY for preprocessor commands (default: all uppercase source file suffixes)

--include_dirs [DIRS ...]
    Folders containing preprocessor files with extensions PP_SUFFIXES.

--pp_defs JSON
    A dictionary with additional preprocessor definitions. Preprocessor definitions are normally included via INCLUDE_DIRS

  Symbols options:

--symbol_skip_mem
    Do not include type members in document symbol results

  CodeActions options [limited]:

--enable_code_actions
    Enable experimental code actions (default: false)

All options starting with '--' can also be set in a configuration file, by default named '.fortlsrc', '.fortls.json' or '.fortls' (other names/paths can specified via -c or --config). For more details see our documentation: https://fortls.fortran-lang.org/options.html#available-options